<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	
<xsl:template match="/">
 <xsl:processing-instruction name="cocoon-format">type="text/wml"</xsl:processing-instruction>
  <wml>
    <xsl:apply-templates/>
  </wml>
</xsl:template>

<xsl:template match="/form">
  <xsl:element name="card">
    <xsl:attribute name="id">form</xsl:attribute>
    <xsl:attribute name="title"><xsl:value-of select="head/title/."/></xsl:attribute>
    <xsl:apply-templates/>
    <do type="accept" label="Login">
      <xsl:element name="go">
        <xsl:attribute name="href"><xsl:value-of select="/form/@action"/></xsl:attribute>
        <xsl:for-each select="/form/input">
        <xsl:element name="postfield">
          <xsl:attribute name="name"><xsl:value-of select="@name"/></xsl:attribute>
          <xsl:attribute name="value">$(<xsl:value-of select="@name"/>)</xsl:attribute>
        </xsl:element>
      </xsl:for-each>
      </xsl:element>
   </do>
  </xsl:element>
</xsl:template>

<xsl:template match="head">
</xsl:template>

<xsl:template match="input">
  <p>
    <b><xsl:value-of select="@name"/></b>
    <xsl:element name="input">
        <xsl:attribute name="format">text</xsl:attribute>
        <xsl:attribute name="name"><xsl:value-of select="@name"/></xsl:attribute>
	<xsl:attribute name="value"><xsl:value-of select="@value"/></xsl:attribute>
	</xsl:element>
  </p>
</xsl:template>

</xsl:stylesheet>
