<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:template match="/">
<html>
<body background="/images/faint-penguin.gif">
<xsl:apply-templates/>
<hr>
</hr>
<p align="center">

<img src="/images/powered_by_jboss_flat_metal.gif"/>
</p>

</body>
</html>
</xsl:template>

<xsl:template match="title">
<p>
<H1 align="center">
<xsl:apply-templates/>
</H1>
</p>
</xsl:template>

<xsl:template match="authors">
<xsl:apply-templates/>
</xsl:template>

<xsl:template match="person"><p align="center">
maintained by
<xsl:element name="A">
 <xsl:attribute name="href">
  mailto:
   <xsl:value-of select='@email'/>
 </xsl:attribute>
   <xsl:value-of select='@name'/>
</xsl:element>
</p></xsl:template>

<xsl:template match="p"><p>
<xsl:apply-templates/>
</p></xsl:template>

<xsl:template match="code"><b>
<xsl:apply-templates/>
</b></xsl:template>


<xsl:template match="ul"><ul>
<xsl:apply-templates/>
</ul></xsl:template>

<xsl:template match="ol"><ol>
<xsl:apply-templates/>
</ol></xsl:template>


<xsl:template match="li"><li>
<xsl:apply-templates/>
</li></xsl:template>

<xsl:template match="em"><em>
<xsl:apply-templates/>
</em></xsl:template>

<xsl:template match="s1"><h3>
 <xsl:value-of select='@title'/>
</h3>
<xsl:apply-templates/></xsl:template>

<xsl:template match="link"><xsl:element name="A">
 <xsl:attribute name="href">
  <xsl:value-of select='@href'/>
 </xsl:attribute>
 <xsl:apply-templates/>
</xsl:element></xsl:template>

<xsl:template match="s2"><h4>
 <xsl:value-of select='@title'/>
</h4>
<xsl:apply-templates/></xsl:template>

<xsl:template match="body"><xsl:apply-templates/></xsl:template>

<xsl:template match="header"><img src="/images/valtech-logo.png" alt="http://www.valtech.co.uk/" height="80" width="250"/>
<xsl:apply-templates/></xsl:template>

</xsl:stylesheet>
